# Class UpdateStatusRequest | EchoHub Documentation

# Class UpdateStatusRequest

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record UpdateStatusRequest : IEquatable<UpdateStatusRequest>

Inheritance
  object
  UpdateStatusRequest

Implements
  IEquatable<UpdateStatusRequest>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### UpdateStatusRequest(UpdateStatusRequest)

    protected UpdateStatusRequest(UpdateStatusRequest original)

#### Parameters

`original` UpdateStatusRequest

### UpdateStatusRequest(UserStatus, string?)

    public UpdateStatusRequest(UserStatus Status, string? StatusMessage = null)

#### Parameters

`Status` UserStatus
`StatusMessage` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Status

    public UserStatus Status { get; init; }

#### Property Value

UserStatus

### StatusMessage

    public string? StatusMessage { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out UserStatus, out string?)

    public void Deconstruct(out UserStatus Status, out string? StatusMessage)

#### Parameters

`Status` UserStatus
`StatusMessage` string

### Equals(UpdateStatusRequest?)

    public virtual bool Equals(UpdateStatusRequest? other)

#### Parameters

`other` UpdateStatusRequest

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(UpdateStatusRequest?, UpdateStatusRequest?)

    public static bool operator ==(UpdateStatusRequest? left, UpdateStatusRequest? right)

#### Parameters

`left` UpdateStatusRequest
`right` UpdateStatusRequest

#### Returns

bool

### operator !=(UpdateStatusRequest?, UpdateStatusRequest?)

    public static bool operator !=(UpdateStatusRequest? left, UpdateStatusRequest? right)

#### Parameters

`left` UpdateStatusRequest
`right` UpdateStatusRequest

#### Returns

bool